%global momorel 1
%global md5sum_src0 2c00153ad099a5f9c5609e8d1dbbe470

Summary: An SSL-encrypting socket wrapper.
Name: stunnel
Version: 4.15
Release: %{momorel}m
License: GPL
Group: Applications/Internet
URL: http://stunnel.mirt.net/ 
%NoSource 0 ftp://stunnel.mirt.net/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Source2: stunnel.cnf
Source3: Certificate-Creation
Source4: sfinger.xinetd
Source5: pop3-redirect.xinetd
Patch0: stunnel-4.07-authpriv.patch
Patch1: stunnel-4.15-nopem.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: automake, autoconf, openssl-devel >= 0.9.8a, perl, pkgconfig
BuildPrereq: tcp_wrappers, words
Prereq: textutils, fileutils, sh-utils, mktemp
Prereq: words, net-tools
Requires: make

%description
Stunnel is a socket wrapper which can provide SSL (Secure Sockets
Layer) support to ordinary applications. For example, it can be used
in conjunction with imapd to create an SSL secure IMAP server.

%prep
%setup -q
%patch0 -p1 -b .authpriv
%patch1 -p1 -b .nopem
aclocal
automake -a
autoconf

%build
if pkg-config openssl ; then
	CFLAGS="%{optflags} `pkg-config --cflags openssl`"; export CFLAGS
	LDFLAGS="`pkg-config --libs-only-L openssl`"; export LDFLAGS
fi
%configure --with-tcp-wrappers
%make

%install
rm -rf %{buildroot}
%makeinstall docdir=`pwd`/installed-docs
touch %{buildroot}/%{_sysconfdir}/%{name}/stunnel.pem
rm -f %{buildroot}/%{_libdir}/*.a
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/*.so.?
mkdir -p %{buildroot}/%{_mandir}/fr/man8
mkdir -p %{buildroot}/%{_mandir}/pl/man8
# Move the Polish man pages to the right subdirectory, and strip off the
# language suffix.
mv %{buildroot}/%{_mandir}/man8/*.fr.8* %{buildroot}/%{_mandir}/fr/man8/
rename ".fr" "" %{buildroot}/%{_mandir}/fr/man8/*
mv %{buildroot}/%{_mandir}/man8/*.pl.8* %{buildroot}/%{_mandir}/pl/man8/
rename ".pl" "" %{buildroot}/%{_mandir}/pl/man8/*
cp -p %{SOURCE3} %{SOURCE4} %{SOURCE5} .

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPY* CREDITS NEWS PORTS README TODO doc/*.html
%doc Certificate-Creation sfinger.xinetd pop3-redirect.xinetd
%lang(en) %doc doc/en/*
%lang(po) %doc doc/pl/*
%{_libdir}/libstunnel.so
%{_mandir}/man8/stunnel.8*
%{_mandir}/fr/man8/stunnel.8*
%{_mandir}/pl/man8/stunnel.8*
%{_sbindir}/stunnel
%{_sbindir}/stunnel3
%{_sysconfdir}/%{name}

%changelog
* Sat Jun  3 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.15-1m)
- update to 4.15

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.09-2m)
- rebuild against openssl-0.9.8a

* Fri Apr  1 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.09-1m)
- major bugfixes

* Tue Mar  1 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.08-1m)
- minor bugfixes

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.07-1m)
- major bugfixes

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.04-2m)
- rebuild against for openssl-0.9.7

* Fri Mar 7 2003 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (4.04-1m)
- initial stunnel release based on rawhide src.rpm

* Mon Feb 10 2003 Nalin Dahyabhai <nalin@redhat.com> 4.04-3
- rebuild

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Nalin Dahyabhai <nalin@redhat.com> 4.04-1
- update to 4.04

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 4.03-1
- use pkgconfig for information about openssl, if available

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.03

* Mon Oct 21 2002 Nalin Dahyabhai <nalin@redhat.com> 4.02-1
- update to 4.02

* Fri Oct  4 2002 Nalin Dahyabhai <nalin@redhat.com> 4.00-1
- don't create a dummy cert

* Wed Sep 25 2002 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.00
- remove textutils and fileutils as buildreqs, add automake/autoconf

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 3.22-2
- rebuild in new environment

* Wed Jan  2 2002 Nalin Dahyabhai <nalin@redhat.com> 3.22-1
- update to 3.22, correcting a format-string vulnerability

* Wed Oct 31 2001 Nalin Dahyabhai <nalin@redhat.com> 3.21a-1
- update to 3.21a

* Tue Aug 28 2001 Nalin Dahyabhai <nalin@redhat.com> 3.20-1
- log using LOG_AUTHPRIV facility by default (#47289)
- make permissions on stunnel binary 0755
- implicitly trust certificates in %%{_datadir}/ssl/trusted (#24034)

* Fri Aug 10 2001 Nalin Dahyabhai <nalin@redhat.com> 3.19-1
- update to 3.19 to avoid problems with stunnel being multithreaded, but
  tcp wrappers not being thrad-safe

* Mon Jul 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.17

* Mon Jul 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.16

* Mon Jul 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.15
- enable tcp-wrappers support

* Tue May 29 2001 Nalin Dahyabhai <nalin@redhat.com>
- remove explicit requirement on openssl (specific version isn't enough,
  we have to depend on shared library version anyway)

* Fri Apr 27 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.14

* Mon Mar 26 2001 Preston Brown <pbrown@redhat.com>
- depend on make (#33148)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.13 to get pthread, OOB, 64-bit fixes
- don't need sdf any more

* Thu Dec 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- pull in sdf to build the man page (#22892)

* Fri Dec 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.11
- chuck the SIGHUP patch (went upstream)
- chuck parts of the 64-bit clean patch (went upstream)

* Thu Dec 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.10
- more 64-bit clean changes, hopefully the last bunch

* Wed Dec 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- change piddir from the default /var/stunnel to /var/run
- clean out pid file on SIGHUP

* Fri Dec 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.9 to get a security fix

* Wed Oct 25 2000 Matt Wilson <msw@redhat.com>
- change all unsigned longs to u_int32_t when dealing with network
  addresses

* Fri Aug 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- make stunnel.pem also be (missingok)

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- move to Applications/Internet group
- clean up %post script
- make stunnel.pem %ghost %config(noreplace)
- provide a sample file for use with xinetd

* Thu Jun  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS compliance fixes
- modify defaults

* Tue Mar 14 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to 3.8
- do not create certificate if one already exists

* Mon Feb 21 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to 3.7
- add patch to find /usr/share/ssl
- change some perms

* Sat Oct 30 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Modify spec file to match Red Hat standards

* Fri Aug 12 1999 Damien Miller <damien@ibs.com.au>
- Updated to 3.4a
- Patched for OpenSSL 0.9.4
- Cleaned up files section

* Sun Jul 11 1999 Damien Miller <dmiller@ilogic.com.au>
- Updated to 3.3

* Sat Nov 28 1998 Damien Miller <dmiller@ilogic.com.au>
- Initial RPMification
